Status: Closed Priority: Should have
Author: Ralle Büchnitz Category: Install Tool
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove/Disable extensions via install tool to bring broken Backend back to work
Description

Sometimes newly installed extensions break the whole Backend and you cannot deactivate them. As the latest Install tool changes
separate the install tool more from the Backend it would be nice if you may offer an opportunity to deactivate extensions manually.

So you don't need to edit localConf files manually and remove/disable extensions.

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Feature # 49760: Install: Let the install tool check whethe... Resolved 2013-07-07
related to Core - Feature # 50495: Add a clear all cache button to install tool Resolved 2013-07-27
duplicates Core - Feature # 50940:  Add uninstall buttons to install tool Resolved 2013-08-08

History
#1 - 2013-06-21 14:46 - Chris topher
- Status changed from New to Needs Feedback

Can that not be done with the variable "extListArray"?

#2 - 2013-06-21 15:32 - Ralle Büchnitz

Yes,

I know how to do this manually. But sometimes we don't get FTP access to the server. (The customer takes care about installing the system but he
denies access via ftp or webFTP. He offers us just HTTP-Access to Backend + InstallTool)

So it would be nice to have an opportunity to deactivate extension from within the install tool. So this is a feature (comfort) request.

This should be something like parsing the loaded extensions array (substract system-extensions) and then use sth. like checkboxes for extensions
that should be turned off.

For example the very common tt_news extension is not compatible to 6.1.x and will therefore brak the whole system. And then you need to change
files manually and then delete cache files manually as well.

#3 - 2013-06-21 15:45 - Chris topher

Ralle Büchnitz wrote:

So it would be nice to have an opportunity to deactivate extension from within the install tool.
In older versions that was possible - is this function no longer there?

#4 - 2013-06-21 15:51 - Ralle Büchnitz

This feature is still there. :)

I didn't realize that you are able to edit these files by clicking on their names.

Maybe an edit Icon would be easier to recognize. But the function is still there.

#5 - 2013-06-21 16:07 - Chris topher

Two things:

    -  In the Install Tool "All Configuration" there still is the variable ['EXT']['extList']. You can edit it (that is what I meant), but:
        -  This variable is no longer used; instead the extension list is now stored in ['EXT']['extListArray'].
        -  What you enter in ['EXT']['extList'] is also not written to LocalConfiguration.php.

=> This should be fixed.

    -  In "Edit files in typo3conf/" each file could have a small pencil icon in front.

#6 - 2013-06-22 00:28 - Christian Kuhn
- Status changed from Needs Feedback to New
- TYPO3 Version changed from 6.1 to 6.2

With recent install tool refactoring the functionality to edit typo3conf/ files was removed. It will not return.

Instead, for 6.2, a functionality a planned to test for PHP fatals triggered by extensionn in their ext_localconf and ext_tables and can suggest to unload
them. This might resurrect a broken backend already, depending on what the faulty extension actually does.
Two further functionalities could be useful:
    -  A low-level tool within ext:install to unload (non core only?) extensions, giving users a chance to come back to a working backend if it fatals and
automatic fatal analysis fails.

    -  A button to "Clear all caches" that works similar to the usual backend logic - due to the construct of ext_localconf & ext_tables this might fail as
well, so this needs some thought that this chance is low or at least documented on what to do if it actually fails.

#7 - 2013-07-25 01:13 - Ernesto Baschny
- Category set to Install Tool

#8 - 2013-08-08 20:38 - Christian Kuhn
- Status changed from New to Closed

dupe of #50940
